## com.lowagie.text
Class ExceptionConverter

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.lowagie.text.ExceptionConverter

All Implemented Interfaces:
  java.io.Serializable

    public class ExceptionConverter

extends java.lang.RuntimeException

The ExceptionConverter changes a checked exception into an unchecked exception.

See Also:
  Serialized Form

Field Summary
`private java.lang.Exception` `ex` we keep a handle to the wrapped exception
`private java.lang.String` `prefix` prefix for the exception
`private static long` `serialVersionUID`

Constructor Summary
`ExceptionConverter(java.lang.Exception ex)` Construct a RuntimeException based on another Exception

Method Summary
`static java.lang.RuntimeException` `convertException(java.lang.Exception ex)` Convert an Exception into an unchecked exception.
`java.lang.Throwable` `fillInStackTrace()` requests to fill in the stack trace we will have to ignore.
`java.lang.Exception` `getException()` and allow the user of ExceptionConverter to get a handle to it.
`java.lang.String` `getLocalizedMessage()` and make sure we also produce a localized version
`java.lang.String` `getMessage()` We print the message of the checked exception
`void` `printStackTrace()` we have to override this as well
`void` `printStackTrace(java.io.PrintStream s)` here we prefix, with s.print(), not s.println(), the stack trace with "ExceptionConverter:"
`void` `printStackTrace(java.io.PrintWriter s)` Again, we prefix the stack trace with "ExceptionConverter:"
`java.lang.String` `toString()` The toString() is changed to be prefixed with ExceptionConverter

Methods inherited from class java.lang.Throwable
`getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### ex

    private java.lang.Exception ex

  we keep a handle to the wrapped exception

### prefix

    private java.lang.String prefix

  prefix for the exception

Constructor Detail

### ExceptionConverter

    public ExceptionConverter(java.lang.Exception ex)

  Construct a RuntimeException based on another Exception

  Parameters:
    `ex` - the exception that has to be turned into a RuntimeException

Method Detail

### convertException

    public static final java.lang.RuntimeException convertException(java.lang.Exception ex)

  Convert an Exception into an unchecked exception. Return the exception if it is already an unchecked exception or return an ExceptionConverter wrapper otherwise

  Parameters:
    `ex` - the exception to convert
  Returns:
    an unchecked exception
  Since:
    2.1.6

### getException

    public java.lang.Exception getException()

  and allow the user of ExceptionConverter to get a handle to it.

  Returns:
    the original exception

### getMessage

    public java.lang.String getMessage()

  We print the message of the checked exception

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    message of the original exception

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  and make sure we also produce a localized version

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`
  Returns:
    localized version of the message

### toString

    public java.lang.String toString()

  The toString() is changed to be prefixed with ExceptionConverter

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    String version of the exception

### printStackTrace

    public void printStackTrace()

  we have to override this as well

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  here we prefix, with s.print(), not s.println(), the stack trace with "ExceptionConverter:"

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` -

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Again, we prefix the stack trace with "ExceptionConverter:"

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` -

### fillInStackTrace

    public java.lang.Throwable fillInStackTrace()

  requests to fill in the stack trace we will have to ignore. We can't throw an exception here, because this method is called by the constructor of Throwable

  Overrides:
    `fillInStackTrace` in class `java.lang.Throwable`
  Returns:
    a Throwable

Hosted by Hostbasket